#pragma once

#include <memory>
#include <string>
#include <filesystem>

using Path = std::filesystem::path;

class Database
{
public:
    Database();

    ~Database();

    static std::unique_ptr<Database> Create();

    const Path& getPath() const;

    void setPath(const Path& path);

private:
    Path mPath;
};

using DatabasePtr = std::unique_ptr<Database>;
